Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable.set
Class SetDiff

    java.lang.Object
      org.eclipse.core.databinding.observable.set.SetDiff

All Implemented Interfaces:
  IDiff

    public abstract class SetDiff

extends Object
implements IDiff

Since:
  1.0

Constructor Summary
`SetDiff()`

Method Summary
`void` `applyTo(Set set)` Applies the changes in this diff to the given set
`abstract Set` `getAdditions()`
`abstract Set` `getRemovals()`
`boolean` `isEmpty()` Returns true if the diff has no added or removed elements.
`Set` `simulateOn(Set set)` Returns a `Set` showing what `set` would look like if this diff were applied to it.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetDiff

    public SetDiff()

Method Detail

### getAdditions

    public abstract Set getAdditions()

  Returns:
    the set of added elements

### getRemovals

    public abstract Set getRemovals()

  Returns:
    the set of removed elements

### isEmpty

    public boolean isEmpty()

  Returns true if the diff has no added or removed elements.

  Returns:
    true if the diff has no added or removed elements.
  Since:
    1.2

### applyTo

    public void applyTo(Set set)

  Applies the changes in this diff to the given set

  Parameters:
    `set` - the set to which the diff will be applied
  Since:
    1.2

### simulateOn

    public Set simulateOn(Set set)

  Returns a `Set` showing what `set` would look like if this diff were applied to it. The passed-in list is presumed to contain all elements in `getRemovals()`, and none of the elements in `getAdditions()`.

  Note:the returned list is only guaranteed to be valid while the passed in set remains unchanged.

  Parameters:
    `set` - the set over which the diff will be simulated
  Returns:
    a `Set` showing what `set` would look like if it were passed to the `applyTo(Set)` method.
  Since:
    1.3

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.